Bug 66896 - Remove LayoutStateDisabler instances from RenderLayer
Summary: Remove LayoutStateDisabler instances from RenderLayer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Minor
Assignee: Julien Chaffraix
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 14:48 PDT by Julien Chaffraix
Modified: 2011-09-08 11:53 PDT (History)
2 users (show)

See Also:


Attachments
Remove 2 instances of LayoutStateDisabler that are not needed anymore. (3.81 KB, patch)
2011-08-24 15:03 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Version 2: Remove a bad wording (layers' are not sparse or at least this is not guaranteed). (3.84 KB, patch)
2011-08-24 15:25 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Patch for landing (3.86 KB, patch)
2011-09-07 14:51 PDT, Julien Chaffraix
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Chaffraix 2011-08-24 14:48:29 PDT
RenderLayer::scrollTo does not call updateLayerPositions anymore so they can be safely removed.
Comment 1 Julien Chaffraix 2011-08-24 15:03:01 PDT
Created attachment 105080 [details]
Remove 2 instances of LayoutStateDisabler that are not needed anymore.
Comment 2 Julien Chaffraix 2011-08-24 15:25:00 PDT
Created attachment 105082 [details]
Version 2: Remove a bad wording (layers' are not sparse or at least this is not guaranteed).
Comment 3 Simon Fraser (smfr) 2011-09-07 14:11:07 PDT
Comment on attachment 105082 [details]
Version 2: Remove a bad wording (layers' are not sparse or at least this is not guaranteed).

View in context: https://bugs.webkit.org/attachment.cgi?id=105082&action=review

> Source/WebCore/ChangeLog:16
> +        that was not acurate anymore. Also explained what is wrong with

accurate
Comment 4 Julien Chaffraix 2011-09-07 14:51:35 PDT
Created attachment 106647 [details]
Patch for landing
Comment 5 WebKit Review Bot 2011-09-08 11:53:40 PDT
Comment on attachment 106647 [details]
Patch for landing

Clearing flags on attachment: 106647

Committed r94777: <http://trac.webkit.org/changeset/94777>
Comment 6 WebKit Review Bot 2011-09-08 11:53:44 PDT
All reviewed patches have been landed.  Closing bug.